Bug 107922 - Enh: extend CLI to allow running an individual test/script
Summary: Enh: extend CLI to allow running an individual test/script
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Ready Certification Tests
Classification: Retired
Component: rhr2   
(Show other bugs)
Version: 2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rob Landry
QA Contact: Rob Landry
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-10-24 14:35 UTC by Glen A. Foster
Modified: 2007-04-18 16:58 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-26 17:45:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
replacement adventure to allow for command line passing of test (1.33 KB, application/octet-stream)
2003-10-24 15:16 UTC, Rob Landry
no flags Details

Description Glen A. Foster 2003-10-24 14:35:41 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
    
Actual results:


Expected results:


Additional info:

Comment 1 Glen A. Foster 2003-10-24 14:38:49 UTC
Very strange indeed.  I wish I knew what key I typed to automatically submit
that only-started defect report... I'd never type it again. :)

Anyway, we talked very briefly on the phone about the idea of extending the
command-line interface of redhat-ready to be something like:

redhat-ready [stage [testname]]

... so "redhat-ready" gets to the main menu
"redhat-ready adventure" gets to the tests page, and
"redhat-ready adventure USB" runs only the USB test and bypasses the CLI

Comment 2 Rob Landry 2003-10-24 15:16:19 UTC
Created attachment 95458 [details]
replacement adventure to allow for command line passing of test

This probably won't make the official release of rhr for RHEL3; however it
should appear in the next update.  Basic usage...  redhat-ready [adventure
[test1] [...testN]]

Comment 3 Glen A. Foster 2003-12-26 17:45:10 UTC
Works, thanks!


Note You need to log in before you can comment on or make changes to this bug.